LoadAddOn("Blizzard_ArenaUI")
local AEF="ArenaEnemyFrame"
local C="CENTER"
local Ui=UIParent
local R="RIGHT"
local CB="CastingBar"
local N="Name"
local CBI="CastingBarIcon"
local PF="PetFrame"
for i=1,5 do
    _G[AEF..i]:ClearAllPoints()
    _G[AEF..i]:SetScale(1.64)
end
for i=1,5 do
    _G[AEF..i..PF]:Hide()
    _G[AEF..i..N]:Hide()
    _G[AEF..i..CB]:SetWidth(71)
    _G[AEF..i..CBI]:SetPoint("right", -71, 0)
    _G[AEF..i..CBI]:SetHeight(14)
    _G[AEF..i..CB]:SetStatusBarColor(0,0.45,0.9)
	
end
_G[AEF.."1"]:SetPoint(C,Ui,C,210,-3)
_G[AEF.."2"]:SetPoint(C,Ui,C,210,-38)
_G[AEF.."3"]:SetPoint(C,Ui,C,210,-73)
_G[AEF.."4"]:SetPoint(C,Ui,C,210,-108)
_G[AEF.."5"]:SetPoint(C,Ui,C,210,-143)

for i=1,5 do
    _G[AEF..i].SetPoint = function() end
    _G[AEF..i..CB].SetStatusBarcolor = function() end
end
ArenaEnemyFrame1CastingBar:SetPoint(R,-30,-20.5)
ArenaEnemyFrame2CastingBar:SetPoint(R,-30,-20)
ArenaEnemyFrame3CastingBar:SetPoint(R,-30,-19.5)
ArenaEnemyFrame4CastingBar:SetPoint(R,-30,-19)
ArenaEnemyFrame5CastingBar:SetPoint(R,-30,-18.5)

for i=1,5 do
    _G[AEF..i..PF].Show = function() end
end
for i=1,5 do
    _G[AEF..i..PF].Show = function() end
    _G[AEF..i.."ManaBarText"]:Hide()
    _G[AEF..i.."HealthBarText"]:Hide()
    _G[AEF..i.."ManaBarText"].Show = function() end
    _G[AEF..i.."HealthBarText"].Show = function() end
end

local function HookArenaUI()
    hooksecurefunc("ArenaEnemyFrame_Unlock",function(self)
        local color=RAID_CLASS_COLORS[select(2,UnitClass(self.unit)) or ""];
        if color then
            self.healthbar:SetStatusBarColor(color.r,color.g,color.b);
            self.healthbar.lockColor=true;
        end
    end);
end
 
if IsAddOnLoaded("Blizzard_ArenaUI") then
    HookArenaUI();
else
    local hookframe=CreateFrame("Frame");
    hookframe:RegisterEvent("ADDON_LOADED");
    hookframe:SetScript("OnEvent",function(self,event,arg)
        if arg=="Blizzard_ArenaUI" then
            self:UnregisterEvent(event);
            self:SetScript("OnEvent",nil);
            HookArenaUI();
        end
    end);
end

hooksecurefunc("ArenaEnemyFrame_Unlock",function(self)
    local color=RAID_CLASS_COLORS[select(2,UnitClass(self.unit)) or ""];
    if color then
        self.healthbar:SetStatusBarColor(color.r,color.g,color.b);
        self.healthbar.lockColor=true;
    end
end);

