local addon, ns = ...
local cfg = ns.cfg

--Clearing the old position
RuneButtonIndividual1:ClearAllPoints()
RuneButtonIndividual2:ClearAllPoints()
RuneButtonIndividual3:ClearAllPoints()
RuneButtonIndividual4:ClearAllPoints()
RuneButtonIndividual5:ClearAllPoints()
RuneButtonIndividual6:ClearAllPoints()

--Setting the new position, change the x,y  values in the end of each line to move the runes
RuneButtonIndividual1:SetPoint("CENTER", UIParent, "CENTER", -cfg.RunePoint.x1, cfg.RunePoint.y1)
RuneButtonIndividual2:SetPoint("CENTER", UIParent, "CENTER", -cfg.RunePoint.x2, cfg.RunePoint.y2)
RuneButtonIndividual5:SetPoint("CENTER", UIParent, "CENTER", -cfg.RunePoint.x3, cfg.RunePoint.y3)
RuneButtonIndividual6:SetPoint("CENTER", UIParent, "CENTER", cfg.RunePoint.x3, cfg.RunePoint.y3)
RuneButtonIndividual3:SetPoint("CENTER", UIParent, "CENTER", cfg.RunePoint.x2, cfg.RunePoint.y2)
RuneButtonIndividual4:SetPoint("CENTER", UIParent, "CENTER", cfg.RunePoint.x1, cfg.RunePoint.y1)

--Making the runes click through
RuneButtonIndividual1:EnableMouse(false)
RuneButtonIndividual2:EnableMouse(false)
RuneButtonIndividual3:EnableMouse(false)
RuneButtonIndividual4:EnableMouse(false)
RuneButtonIndividual5:EnableMouse(false)
RuneButtonIndividual6:EnableMouse(false)

local function RuneHUD_OnEvent(self, event, ...)
local arg1 = ...
	

	if (event == "PLAYER_ENTERING_WORLD" or event == "PLAYER_REGEN_ENABLED") and not UnitInVehicleControlSeat("player") then
		RuneFrame:SetAlpha(cfg.RuneShows.xRaoc)
		RuneFrame:SetScale(cfg.RuneShows.xRs)

	elseif event == "PLAYER_REGEN_DISABLED" and not UnitInVehicleControlSeat("player") then
		RuneFrame:SetAlpha(cfg.RuneShows.xRaic)
		RuneFrame:SetScale(cfg.RuneShows.xRs)
	end

	if ((event == "UNIT_ENTERING_VEHICLE") and UnitInVehicleControlSeat("player"))  then
		local unitID = ...
		if unitID == "player" then
			RuneFrame:SetAlpha(cfg.RuneShows.xRaiv)
		end
	elseif event == "PLAYER_ENTERING_WORLD" then
		if InCombatLockdown() then
			RuneFrame:SetAlpha(cfg.RuneShows.xRaic)
			RuneFrame:SetScale(cfg.RuneShows.xRs)
		else
			RuneFrame:SetAlpha(cfg.RuneShows.xRaoc)
			RuneFrame:SetScale(cfg.RuneShows.xRs)
		end
	elseif event == "UNIT_EXITED_VEHICLE" then
		local unitID = ...
		if unitID == "player" then
			if InCombatLockdown() then
				RuneFrame:SetAlpha(cfg.RuneShows.xRaic)
				RuneFrame:SetScale(cfg.RuneShows.xRs)
			else
				RuneFrame:SetAlpha(cfg.RuneShows.xRaoc)
				RuneFrame:SetScale(cfg.RuneShows.xRs)
			end
		end
	end
end







local f = CreateFrame("Frame","RuneHUDFrame",UIParent)
f:RegisterEvent("PLAYER_REGEN_DISABLED")
f:RegisterEvent("PLAYER_REGEN_ENABLED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("UNIT_EXITED_VEHICLE")
f:RegisterEvent("UNIT_ENTERING_VEHICLE")
f:RegisterEvent("RUNE_POWER_UPDATE")
f:RegisterEvent("RUNE_TYPE_UPDATE");
f:RegisterEvent("RUNE_REGEN_UPDATE");
f:SetScript("OnEvent", RuneHUD_OnEvent)
RuneFrame:SetParent(RuneHUDFrame)
